package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemAssembleWaybillDetailBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWarehouse

/**
 * 国际出港组装-运单明细ViewHolder
 */
class AssembleWaybillDetailViewHolder(view: View) :
    BaseViewHolder<GjcWarehouse, ItemAssembleWaybillDetailBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position  // 用于显示序号
        binding.executePendingBindings()
    }
}
